package cn.bunny.entity.system.email;

import cn.bunny.entity.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serial;
import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author Bunny
 * @since 2024-05-19
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("email_template")
@ApiModel(value = "EmailTemplate对象", description = "邮件模板")
public class EmailTemplate extends BaseEntity implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("模板名称")
    private String templateName;

    @ApiModelProperty("主题")
    private String subject;

    @ApiModelProperty("邮件内容")
    private String body;

    @ApiModelProperty("邮件类型")
    private String type;
}
