package cn.bunny.service.gateway;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableScheduling// 定时任务
@ComponentScan("cn.bunny")
@Slf4j
public class GatewayApplication {
    public static void main(String[] args) {
        log.info("启动网关...");
        SpringApplication.run(GatewayApplication.class, args);
    }
}