package cn.bunny.service.web.mapper;

import cn.bunny.entity.system.user.User;
import cn.bunny.vo.system.login.LoginVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * 用户信息 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2024-05-13
 */
@Mapper
public interface UserMapper extends BaseMapper<User> {

    /**
     * 前台用户登录接口
     *
     * @param username 邮箱/昵称
     * @param password 吗，Image
     * @return 登录参数
     */
    LoginVo login(String username, String password);
}
