package cn.bunny.dto.email;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 添加邮箱用户
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EmailUsersDto {
    // 修改时需要传
    private Long id;
    // 邮箱
    private String email;
    // 密码
    private String password;
    // SMTP服务器
    private String host;
    // 端口号
    private Integer port;
    // 邮箱协议
    private Integer smtpAgreement;
    // 是否为默认邮件
    private Boolean isDefault;
}
