package cn.bunny.pojo.email;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

/**
 * 邮件发送对象
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EmailSend {
    // 给谁发送
    private String sendTo;
    // 发送主题
    private String subject;
    // 是否为富文本
    private Boolean isRichText;
    // 发送内容
    private String message;
    // 抄送人
    private String ccParam;
    // 发送的文件
    private MultipartFile[] file;
}
