package cn.bunny.service.admin.mapper;

import cn.bunny.entity.system.admin.AdminRole;
import cn.bunny.entity.system.admin.auth.AuthUserRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2024-05-18
 */
@Mapper
public interface AdminRoleMapper extends BaseMapper<AdminRole> {

    /**
     * 查询用户所有的角色信息
     *
     * @param userId 用户id
     * @return 用户对应的角色
     */
    AuthUserRole[] selectByRoleWithUserId(Long userId);
}
